Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class Util

    java.lang.Object
      xjavadoc.Util

public class Util
extends Object

Various static utility methods

Author:
  Aslak Hellesøy

Constructor Summary
`Util()`

Method Summary
`static StringBuffer` | `appendDimensionAsString(int n, StringBuffer sb)`
`static String` | `classNameFromQualifiedClassName(String qualifiedName)` Return only class name of a full qualified (package+classname) string.
`static String[]` | `getJavaFiles(File root)` Returns an array of String containing relative names of all java files under root.
`static String` | `getPackageNameFor(String qualifiedName)`
`static String` | `getQualifiedNameFor(String packageName, String unqualifiedName)`
`static String` | `toString(Object[] array, String delimiter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### getJavaFiles

    public static String[] getJavaFiles(File root)

  Returns an array of String containing relative names of all java files under root.

  Parameters:
    `root` - the root directory
  Returns:
    java file names

### getPackageNameFor

    public static String getPackageNameFor(String qualifiedName)

### getQualifiedNameFor

    public static String getQualifiedNameFor(String packageName,
                                             String unqualifiedName)

### appendDimensionAsString

    public static final StringBuffer appendDimensionAsString(int n,
                                                             StringBuffer sb)

### toString

    public static final String toString(Object[] array,
                                        String delimiter)

### classNameFromQualifiedClassName

    public static String classNameFromQualifiedClassName(String qualifiedName)

  Return only class name of a full qualified (package+classname) string.

  Parameters:
    `qualifiedName` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.